org.keycloak.freemarker.beans

## Enum MessageType

- java.lang.Object
- - java.lang.Enum<MessageType>
  - - org.keycloak.freemarker.beans.MessageType

- All Implemented Interfaces:
    Serializable, Comparable<MessageType>

      public enum MessageType
      extends Enum<MessageType>

  Enum with types of messages.
  Author:
    Vlastimil Elias (velias at redhat dot com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR`
    `SUCCESS`
    `WARNING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MessageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final MessageType SUCCESS

    - #### WARNING

          public static final MessageType WARNING

    - #### ERROR

          public static final MessageType ERROR

  - ### Method Detail

    - #### values

          public static MessageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageType c : MessageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015. All rights reserved.